<?php
/**
 * Typography Setting
 *
 * @package wheel_alignment_service
 */

// Typography Setting
$wp_customize->add_section(
    'wheel_alignment_service_typography_setting',
    array(
        'panel' => 'wheel_alignment_service_theme_options',
        'title' => esc_html__( 'Typography Setting', 'wheel-alignment-service' ),
    )
);

$wp_customize->add_setting(
    'wheel_alignment_service_site_title_font',
    array(
        'default'           => 'Oxanium',
        'sanitize_callback' => 'wheel_alignment_service_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'wheel_alignment_service_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'wheel-alignment-service' ),
        'section'  => 'wheel_alignment_service_typography_setting',
        'settings' => 'wheel_alignment_service_site_title_font',
        'type'     => 'select',
        'choices'  => wheel_alignment_service_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'wheel_alignment_service_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'wheel_alignment_service_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'wheel_alignment_service_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'wheel-alignment-service' ),
		'section'  => 'wheel_alignment_service_typography_setting',
		'settings' => 'wheel_alignment_service_site_description_font',
		'type'     => 'select',
		'choices'  => wheel_alignment_service_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'wheel_alignment_service_header_font',
	array(
		'default'           => 'Oxanium',
		'sanitize_callback' => 'wheel_alignment_service_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'wheel_alignment_service_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'wheel-alignment-service' ),
		'section'  => 'wheel_alignment_service_typography_setting',
		'settings' => 'wheel_alignment_service_header_font',
		'type'     => 'select',
		'choices'  => wheel_alignment_service_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'wheel_alignment_service_content_font',
	array(
		'default'           => 'Play',
		'sanitize_callback' => 'wheel_alignment_service_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'wheel_alignment_service_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'wheel-alignment-service' ),
		'section'  => 'wheel_alignment_service_typography_setting',
		'settings' => 'wheel_alignment_service_content_font',
		'type'     => 'select',
		'choices'  => wheel_alignment_service_get_all_google_font_families(),
	)
);
